Page MenuHomePhabricator

Please add the domains to the wgCopyUploadsDomains whitelist
Closed, ResolvedPublic

Description

please add the following domains to the wgCopyUploadsDomains whitelist:

  • wikimapia.org (photos have free licenses, see [[c:Template:WikiMapia]]);
  • pslava.info (contains many free photos, see [[c:Template:Жарких]]);
  • ukrainaincognita.com (has free photos, see [[c:Template:Ukrainaincognita]]);
  • klymenko.data-tec.net
  • serg-klymenko.narod.ru (both have free photos, see [[c:Template:Klymenko]]);
  • ua.vlasenko.net (has free photos, see [[c:Template:Vlasenko]])

Version: wmf-deployment
Severity: enhancement

Details

Reference
bz73045

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz73045.
Ahonc created this task.Nov 5 2014, 9:32 PM
  • wikimapia.org — ok, all the content is under CC-BY-SA and this source is heavily used on Commons
  • other sites — Requester is OTRS volunteer and I had with him a quick chat on Commons on the matter. He has checked the OTRS permissions to ensure it covers all the files, already published or in the future.

As tthe question about the rights is cleared, and the usefulness of the sources is demonstrated by current content already uploaded on Wikimedia Commons, we can process the request.

gerritadmin wrote:

Change 171484 had a related patch set uploaded by Dereckson:
Adding Ukraine photo sources to wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/171484

gerritadmin wrote:

Change 171484 merged by jenkins-bot:
Adding Ukraine photo sources to wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/171484

Ahonc added a comment.Nov 11 2014, 3:22 PM

Oops, there should be *.wikimapia.org (to allow addresses like http://photos.wikimapia.org/p/00/03/34/56/91_full.jpg)

(In reply to Anatoliy Goncharov from comment #4)

Oops, there should be *.wikimapia.org (to allow addresses like
http://photos.wikimapia.org/p/00/03/34/56/91_full.jpg)

Is there another domain used than photos.wikimapia.org?

If not, we can add photos.wikimapia.org to avoid mistakes import.

Ahonc added a comment.Nov 11 2014, 3:56 PM

Yes, I think it will be enough only photos.wikimapia.org.

gerritadmin wrote:

Change 172557 had a related patch set uploaded by Dereckson:
wgCopyUploadsDomains configuration for Wikimedia Commons

https://gerrit.wikimedia.org/r/172557

gerritadmin wrote:

Change 172557 merged by jenkins-bot:
wgCopyUploadsDomains configuration for Wikimedia Commons

https://gerrit.wikimedia.org/r/172557

Okay, this is done.

Base added a subscriber: Base.Sep 16 2015, 2:16 AM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 16 2015, 2:16 AM